# # WebConnectReservation

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**code** | **string** | Code de la réservation    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**ref_ext** | **string** | Votre référence pour cette réservation. Si précisée, doit être unique pour idempotence, non visible dans le backoffice    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**code_magasin** | **int** | Code du magasin dans laquelle a été effectuée cette réservation    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional] [default to 0]
**code_devise** | **string** | Code internationnal de la monnaie dans laquelle est exprimée cette réservation    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**client** | [**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\MetierClientWebConnectClientMinimal**](MetierClientWebConnectClientMinimal.md) |  | [optional]
**date** | **\DateTime** | Date de la réservation    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**etat** | [**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\MetierCdeClientCdeClientState**](MetierCdeClientCdeClientState.md) |  | [optional]
**date_annulation** | **\DateTime** | Date de l&#39;annulation    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**total_ttc** | **float** | Montant total de la réservation    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**remise_ttc** | **float** | Remise accordée    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**details** | [**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\WebConnectReservationDetail[]**](WebConnectReservationDetail.md) | Détails de la réservation | [optional]
**notes** | **string** | Notes sur la réservation    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**prepaiements** | [**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\WebConnectReservationPrepaiement[]**](WebConnectReservationPrepaiement.md) | Détails des règlements de la réservation | [optional]
**quarantaine** | **bool** | Vrai si la réservation doit être effacée    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional] [default to false]
**derniere_modification** | **\DateTime** | Date de la dernière modification de cette réservation    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]

[[Back to Model list]](../../README.md#models) [[Back to API list]](../../README.md#endpoints) [[Back to README]](../../README.md)
