# # MetierBonWebConnectBonClient

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**client** | [**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\MetierClientWebConnectClientMinimal**](MetierClientWebConnectClientMinimal.md) |  | [optional]
**ref_ext** | **string** | Votre référence de bon    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**libelle** | **string** | Libellé du bon    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**code** | **string** | Code barres identifiant le bon    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**type** | [**\PrestaShop\Module\PrestaConnector\pol\api\lib\Model\TTypeBon**](TTypeBon.md) |  | [optional]
**montant** | **float** | Valeur du bon si le bon est un bon de type montant (pourcentage est nul)    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**pourcentage** | **float** | Pourcentage de remise accordée par le bon si le bon est de type pourcentage (montant est nul).    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**date_emission** | **\DateTime** | Date d&#39;émission du bon    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**date_validite** | **\DateTime** | Date de validité sur les bons qui ont une durée de vie    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**a_ete_utilise** | **bool** | Indique vrai lorsque le bon a déjà été utilisé    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional] [default to false]
**est_valide** | **bool** | Indique vrai lorsque le bon peut-être utilisé (date d&#39;émission passée, date de validité non dépassée, bon non utilisé ni marqué comme supprimé)    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional] [default to false]
**quarantaine** | **bool** | Vrai quand le bon est marqué pour suppression et devrait être supprimé dans les bases des tiers    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional] [default to false]
**derniere_modification** | **\DateTime** | Date de dernière modification du bon    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]
**exterieur** | **bool** | Le bon a t&#39;il été créer par API    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional] [default to false]
**plus_cher** | **bool** | Le pourcentage est sur l&#39;article le plus cher    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional] [default to false]
**seuil** | **float** | Seuil d&#39;activation    *(en cas d&#39;utilisation d&#39;un pager et lorsqu&#39;il est à la racine, vous pouvez trier sur ce champ)* | [optional]

[[Back to Model list]](../../README.md#models) [[Back to API list]](../../README.md#endpoints) [[Back to README]](../../README.md)
